Runtime

## org.eclipse.gmf.runtime.diagram.ui.editpolicies
Class VisibilityComponentEditPolicy

    java.lang.Object
      org.eclipse.gef.editpolicies.AbstractEditPolicy
          org.eclipse.gef.editpolicies.ComponentEditPolicy
              org.eclipse.gmf.runtime.diagram.ui.editpolicies.ComponentEditPolicy
                  org.eclipse.gmf.runtime.diagram.ui.editpolicies.VisibilityComponentEditPolicy

All Implemented Interfaces:
  EditPolicy, RequestConstants

public class VisibilityComponentEditPolicy
extends ComponentEditPolicy

Component edit policy which sets the `Property.ID_ISVISIBLE` to false rather than deleting the view. Doesn't support delete semantic.

Field Summary

Fields inherited from interface org.eclipse.gef.EditPolicy
`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`VisibilityComponentEditPolicy()`

Method Summary
`protected Command` `createDeleteSemanticCommand(GroupRequest deleteRequest)` Returns null.
`protected Command` `createDeleteViewCommand(GroupRequest deleteRequest)` Return to make the `GraphicalEditPart`'s figure not visible.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.editpolicies.ComponentEditPolicy
`createDeleteCommand, getCommand, getInsertableEditPart, getInsertCommand, getView, shouldDeleteSemantic`

Methods inherited from class org.eclipse.gef.editpolicies.ComponentEditPolicy
`getDeleteCommand, getOrphanCommand`

Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy
`activate, deactivate, debugFeedback, eraseSourceFeedback, eraseTargetFeedback, getHost, getTargetEditPart, setHost, showSourceFeedback, showTargetFeedback, toString, understandsRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VisibilityComponentEditPolicy

    public VisibilityComponentEditPolicy()

Method Detail

### createDeleteViewCommand

    protected Command createDeleteViewCommand(GroupRequest deleteRequest)

  Return to make the `GraphicalEditPart`'s figure not visible.

  Overrides:
    `createDeleteViewCommand` in class `ComponentEditPolicy`
  Parameters:
    `deleteRequest` - the original delete request.
  Returns:
    Command

### createDeleteSemanticCommand

    protected Command createDeleteSemanticCommand(GroupRequest deleteRequest)

  Returns null.

  Overrides:
    `createDeleteSemanticCommand` in class `ComponentEditPolicy`
  Parameters:
    `deleteRequest` - the original delete request.
  Returns:
    Command
  See Also:
    `ComponentEditPolicy.shouldDeleteSemantic()`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.